function [STATANALYSIS] = ReadStatAnalysis(fid, SceParams)

STATRESULTS = struct(...
    'LvlATakes', 0, ...
    'LvlBTakes', 0, ...
    'MaxInstant', 0, ...
    'MaxCumltv', 0, ...
    'NumStranded', 0);


STATANALYSIS = struct(...
    'numGroups', 0, ...
    'numSpecies', 0, ...
    'animats', [], ...
    'group', [], ...
    'species', []);


STATANALYSIS.group = STATRESULTS;
STATANALYSIS.species = STATRESULTS;

if SceParams.binOutConfig.speInfAndAnimatAsscn == 0
    STATANALYSIS = [];
    return
end

% Set the file pointer to the Statistical Analysis region.
fseek(fid, SceParams.filePointers.postAnalysis, 'bof');

%---------------------------------------------------------%
% Read in the Statistical Results
%----------------------------------%
STATANALYSIS.numGroups = SceParams.numSpeciesGroups;
STATANALYSIS.numSpecies = SceParams.numSpecies;

STATANALYSIS.animats = ReadStatResults(fid);

for n=1:STATANALYSIS.numGroups
    STATANALYSIS.group(n) = ReadStatResults(fid);
end

% Skip over reserved groups.
% 
% skipBytes = 80 *...
%     (SceParams.numSceParamSpeGrpStored - SceParams.numSpeciesGroups);
% 
% fseek(fid, skipBytes, 'cof'); %

for n=1:STATANALYSIS.numSpecies
    STATANALYSIS.species(n) = ReadStatResults(fid);
end


function STATRESULTS = ReadStatResults(fid)
STATRESULTS.LvlATakes = fread(fid, 1, 'uint32');
STATRESULTS.LvlBTakes = fread(fid, 1, 'uint32');
STATRESULTS.MaxInstant = fread(fid, 1, 'float');
STATRESULTS.MaxCumltv = fread(fid, 1, 'float');
STATRESULTS.NumStranded = fread(fid, 1, 'uint32');
fseek(fid, 44, 'cof'); % 
